


#include "ui.h"
#include "ui-enumtypes.h"

/* enumerations from "../ui/controller.h" */
GType
ui_controller_signal_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { UI_CONTROLLER_SIGNAL_CONFIGURED, "UI_CONTROLLER_SIGNAL_CONFIGURED", "UI_CONTROLLER_SIGNAL_CONFIGURED" },
      { UI_CONTROLLER_SIGNAL_COUNT, "UI_CONTROLLER_SIGNAL_COUNT", "UI_CONTROLLER_SIGNAL_COUNT" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("UiControllerSignal", values);
  }
  return etype;
}
GType
ui_controller_property_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { UI_CONTROLLER_PROPERTY_UNKNOWN, "UI_CONTROLLER_PROPERTY_UNKNOWN", "UI_CONTROLLER_PROPERTY_UNKNOWN" },
      { UI_CONTROLLER_PROPERTY_ID, "UI_CONTROLLER_PROPERTY_ID", "UI_CONTROLLER_PROPERTY_ID" },
      { UI_CONTROLLER_PROPERTY_COUNT, "UI_CONTROLLER_PROPERTY_COUNT", "UI_CONTROLLER_PROPERTY_COUNT" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("UiControllerProperty", values);
  }
  return etype;
}
GType
ui_controller_error_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { UI_CONTROLLER_ERROR_UNKNOWN, "UI_CONTROLLER_ERROR_UNKNOWN", "UI_CONTROLLER_ERROR_UNKNOWN" },
      { UI_CONTROLLER_ERROR_PROGRAMMING, "UI_CONTROLLER_ERROR_PROGRAMMING", "UI_CONTROLLER_ERROR_PROGRAMMING" },
      { UI_CONTROLLER_ERROR_NOT_IMPLEMENTED, "UI_CONTROLLER_ERROR_NOT_IMPLEMENTED", "UI_CONTROLLER_ERROR_NOT_IMPLEMENTED" },
      { UI_CONTROLLER_ERROR_CONFIGURATION, "UI_CONTROLLER_ERROR_CONFIGURATION", "UI_CONTROLLER_ERROR_CONFIGURATION" },
      { UI_CONTROLLER_ERROR_COUNT, "UI_CONTROLLER_ERROR_COUNT", "UI_CONTROLLER_ERROR_COUNT" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("UiControllerError", values);
  }
  return etype;
}

/* enumerations from "../ui/controller-term.h" */
GType
ui_controller_term_signal_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { UI_CONTROLLER_TERM_SIGNAL_KEY_UP, "UI_CONTROLLER_TERM_SIGNAL_KEY_UP", "UI_CONTROLLER_TERM_SIGNAL_KEY_UP" },
      { UI_CONTROLLER_TERM_SIGNAL_COUNT, "UI_CONTROLLER_TERM_SIGNAL_COUNT", "UI_CONTROLLER_TERM_SIGNAL_COUNT" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("UiControllerTermSignal", values);
  }
  return etype;
}
GType
ui_controller_term_property_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { UI_CONTROLLER_TERM_PROPERTY_UNKNOWN, "UI_CONTROLLER_TERM_PROPERTY_UNKNOWN", "UI_CONTROLLER_TERM_PROPERTY_UNKNOWN" },
      { UI_CONTROLLER_TERM_PROPERTY_ID, "UI_CONTROLLER_TERM_PROPERTY_ID", "UI_CONTROLLER_TERM_PROPERTY_ID" },
      { UI_CONTROLLER_TERM_PROPERTY_COUNT, "UI_CONTROLLER_TERM_PROPERTY_COUNT", "UI_CONTROLLER_TERM_PROPERTY_COUNT" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("UiControllerTermProperty", values);
  }
  return etype;
}
GType
ui_controller_term_error_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { UI_CONTROLLER_TERM_ERROR_UNKNOWN, "UI_CONTROLLER_TERM_ERROR_UNKNOWN", "UI_CONTROLLER_TERM_ERROR_UNKNOWN" },
      { UI_CONTROLLER_TERM_ERROR_PROGRAMMING, "UI_CONTROLLER_TERM_ERROR_PROGRAMMING", "UI_CONTROLLER_TERM_ERROR_PROGRAMMING" },
      { UI_CONTROLLER_TERM_ERROR_NOT_IMPLEMENTED, "UI_CONTROLLER_TERM_ERROR_NOT_IMPLEMENTED", "UI_CONTROLLER_TERM_ERROR_NOT_IMPLEMENTED" },
      { UI_CONTROLLER_TERM_ERROR_DBUS, "UI_CONTROLLER_TERM_ERROR_DBUS", "UI_CONTROLLER_TERM_ERROR_DBUS" },
      { UI_CONTROLLER_TERM_ERROR_COUNT, "UI_CONTROLLER_TERM_ERROR_COUNT", "UI_CONTROLLER_TERM_ERROR_COUNT" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("UiControllerTermError", values);
  }
  return etype;
}


