#ifndef __UI_CONTROLLER_TERM_H__
#define __UI_CONTROLLER_TERM_H__

#include <glib-object.h>

#include "controller.h"

G_BEGIN_DECLS
#define UI_TYPE_CONTROLLER_TERM (ui_controller_term_get_type ())

#define UI_CONTROLLER_TERM(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  UI_TYPE_CONTROLLER_TERM, UiControllerTerm))

#define UI_CONTROLLER_TERM_CONST(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  UI_TYPE_CONTROLLER_TERM, UiControllerTerm const))

#define UI_CONTROLLER_TERM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  UI_TYPE_CONTROLLER_TERM, UiControllerTermClass))

#define UI_IS_CONTROLLER_TERM(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  UI_TYPE_CONTROLLER_TERM))

#define UI_IS_CONTROLLER_TERM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  UI_TYPE_CONTROLLER_TERM))

#define UI_CONTROLLER_TERM_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  UI_TYPE_CONTROLLER_TERM, UiControllerTermClass))

#define UI_CONTROLLER_TERM_ERROR ui_controller_term_error_quark ()

typedef struct _UiControllerTermClass UiControllerTermClass;

typedef enum
{
  UI_CONTROLLER_TERM_SIGNAL_KEY_UP = 0,
  UI_CONTROLLER_TERM_SIGNAL_COUNT
} UiControllerTermSignal;

typedef enum
{
  UI_CONTROLLER_TERM_PROPERTY_UNKNOWN = 0,
  UI_CONTROLLER_TERM_PROPERTY_ID,
  UI_CONTROLLER_TERM_PROPERTY_COUNT
} UiControllerTermProperty;

typedef enum
{
  UI_CONTROLLER_TERM_ERROR_UNKNOWN = 0,
  UI_CONTROLLER_TERM_ERROR_PROGRAMMING,
  UI_CONTROLLER_TERM_ERROR_NOT_IMPLEMENTED,
  UI_CONTROLLER_TERM_ERROR_DBUS,
  UI_CONTROLLER_TERM_ERROR_COUNT
} UiControllerTermError;

struct _UiControllerTerm
{
  UiController parent;
};

struct _UiControllerTermClass
{
  UiControllerClass parent_class;
};

GType ui_controller_term_get_type (void) G_GNUC_CONST;

UiController *ui_controller_term_new (gchar *id);

GQuark ui_controller_term_error_quark ();

G_END_DECLS

#endif /* __UI_CONTROLLER_TERM_H__ */
